<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet
version="1.0"
xmlns:xhtml="http://www.w3.org/1999/xhtml"
xmlns:xl="http://www.w3.org/1999/xlink"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--rst

..  _titleindex.xsl:

==============
titleindex.xsl
==============

DESCRIPTION
===========

get all URI of pages from a TitleIndex page (tracwiki)

EXAMPLES
========

To get all wiki pages URI of http://forge.ipsl.jussieu.fr/ under
'platform/en/documentation':

.. code-block:: bash

   xsltproc \-\-novalid titleindex.xsl http://forge.ipsl.jussieu.fr/igcmg_doc/wiki/TitleIndex

SEE ALSO
========

:mod:`tracwiki_rst.py`

TODO
====

EVOLUTIONS
==========

- fplod 20150709T123551Z callisto.locean-ipsl.upmc.fr (Linux)

  * replace igcm by igcm_doc
  * replace wiki searchable class by titleindex

- fplod 20131127T103644Z halios.locean-ipsl.upmc.fr (Darwin)

  * creation because xmlstarlet no installed on ciclad
    to replace (missing class titleindex filter ++)

    .. code-block:: bash

       xmlstarlet sel \-\-html -T -t -m "//*[local-name()='a']" \
      -v @href -n TitleIndex
-->

<xsl:output
method="text"
encoding="utf-8"
omit-xml-declaration="yes"
indent="no"/>

<xsl:template match="/">
<xsl:apply-templates select="//xhtml:div[@class='titleindex']"/>
</xsl:template>

<xsl:template match="xhtml:div[@class='titleindex']">
    <xsl:apply-templates select="//xhtml:a"/>
</xsl:template>

<xsl:template match="xhtml:a">
   <xsl:value-of select="@href"/>
   <xsl:text>&#xA;</xsl:text>
</xsl:template>
</xsl:stylesheet>
